CascadeStyle.MultipleCascadeStyle (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.spi
Class CascadeStyle.MultipleCascadeStyle

    java.lang.Object
      org.hibernate.engine.spi.CascadeStyle
          org.hibernate.engine.spi.CascadeStyle.MultipleCascadeStyle

All Implemented Interfaces:
  Serializable

Enclosing class:
  CascadeStyle

    public static final class CascadeStyle.MultipleCascadeStyle

extends CascadeStyle

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.engine.spi.CascadeStyle
`CascadeStyle.MultipleCascadeStyle`

Field Summary

Fields inherited from class org.hibernate.engine.spi.CascadeStyle
`ALL, ALL_DELETE_ORPHAN, DELETE, DELETE_ORPHAN, EVICT, LOCK, MERGE, NONE, PERSIST, REFRESH, REPLICATE, UPDATE`

Constructor Summary
`CascadeStyle.MultipleCascadeStyle(CascadeStyle[] styles)`

Method Summary
`boolean` | `doCascade(CascadingAction action)` For this style, should the given action be cascaded?
`boolean` | `hasOrphanDelete()` Do we need to delete orphaned collection elements?
`boolean` | `reallyDoCascade(CascadingAction action)` Probably more aptly named something like doCascadeToCollectionElements(); it is however used from both the collection and to-one logic branches...
`String` | `toString()`

Methods inherited from class org.hibernate.engine.spi.CascadeStyle
`getCascadeStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadeStyle.MultipleCascadeStyle

    public CascadeStyle.MultipleCascadeStyle(CascadeStyle[] styles)

Method Detail

### doCascade

    public boolean doCascade(CascadingAction action)

  Description copied from class: `CascadeStyle`
  For this style, should the given action be cascaded?

  Specified by:
    `doCascade` in class `CascadeStyle`
  Parameters:
    `action` - The action to be checked for cascade-ability.
  Returns:
    True if the action should be cascaded under this style; false otherwise.

### reallyDoCascade

    public boolean reallyDoCascade(CascadingAction action)

  Description copied from class: `CascadeStyle`
  Probably more aptly named something like doCascadeToCollectionElements(); it is however used from both the collection and to-one logic branches...

  For this style, should the given action really be cascaded? The default implementation is simply to return `CascadeStyle.doCascade(org.hibernate.engine.spi.CascadingAction)`; for certain styles (currently only delete-orphan), however, we need to be able to control this separately.

  Overrides:
    `reallyDoCascade` in class `CascadeStyle`
  Parameters:
    `action` - The action to be checked for cascade-ability.
  Returns:
    True if the action should be really cascaded under this style; false otherwise.

### hasOrphanDelete

    public boolean hasOrphanDelete()

  Description copied from class: `CascadeStyle`
  Do we need to delete orphaned collection elements?

  Overrides:
    `hasOrphanDelete` in class `CascadeStyle`
  Returns:
    True if this style need to account for orphan delete operations; false otherwise.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.